SeExpr

Public Member Functions | Private Attributes | List of all members
SeExpr2::VarBlockCreator::Ref Class Reference

Internally implemented var ref used by SeExpr. More...

`#include <VarBlock.h>`

Inheritance diagram for SeExpr2::VarBlockCreator::Ref:

## Public Member Functions
uint32_t | offset () const
uint32_t | stride () const
| Ref (const ExprType &type, uint32_t offset, uint32_t stride)
void | eval (double *) override
| returns this variable's value by setting result More...
void | eval (const char **) override
Public Member Functions inherited from SeExpr2::ExprVarRef
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...

## Private Attributes
uint32_t | _offset
uint32_t | _stride

## Detailed Description

Internally implemented var ref used by SeExpr.

Definition at line 87 of file VarBlock.h.

## Constructor & Destructor Documentation

## ◆ Ref()

SeExpr2::VarBlockCreator::Ref::Ref | ( | const ExprType & | type,
|  | uint32_t | offset,
|  | uint32_t | stride
| ) |  |
| inline

Definition at line 94 of file VarBlock.h.

## Member Function Documentation

## ◆ eval() [1/2]

void SeExpr2::VarBlockCreator::Ref::eval | ( | const char ** |  | ) |
| inline override virtual

Implements SeExpr2::ExprVarRef.

Definition at line 97 of file VarBlock.h.

## ◆ eval() [2/2]

void SeExpr2::VarBlockCreator::Ref::eval | ( | double * | result | ) |
| inline override virtual

returns this variable's value by setting result

Implements SeExpr2::ExprVarRef.

Definition at line 96 of file VarBlock.h.

## ◆ offset()

uint32_t SeExpr2::VarBlockCreator::Ref::offset | ( |  | ) | const
| inline

Definition at line 92 of file VarBlock.h.

References _offset.

## ◆ stride()

uint32_t SeExpr2::VarBlockCreator::Ref::stride | ( |  | ) | const
| inline

Definition at line 93 of file VarBlock.h.

References _stride.

## Member Data Documentation

## ◆ _offset

uint32_t SeExpr2::VarBlockCreator::Ref::_offset
| private

Definition at line 88 of file VarBlock.h.

Referenced by offset().

## ◆ _stride

uint32_t SeExpr2::VarBlockCreator::Ref::_stride
| private

Definition at line 89 of file VarBlock.h.

Referenced by stride().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/VarBlock.h